using Godot;
using System;
using System.Collections.Generic;
using System.Linq;

public partial class Mook : Enemy
{
    
	public override void _Ready()
	{
        base._Ready();
        
	}

    public override void ClickShield(Shield CLICKED_SHIELD)
    {
        // CLICKED_SHIELD.Mark(_playerOpponent);
        _playerOpponent.CheckGoals();
    }
}
